WordPress.org

Ready to get started?Download WordPress

Plugin Directory

The Events Calendar User CSS

A plugin to correctly load users custom CSS overrides for The Events Calendar.

1.0.0

  • Tested with WP 3.9beta
  • Fixed to remove default TEC loading of override file

0.9.2

  • Tested with WP 3.8, it works!

0.9.1

  • Added sanity check to ensure isset( $tec_user_css )

0.9

  • TEC 3.0 doesn't quite do it correctly. They automatically load User CSS before their CSS not after. Now works with either folder/file notation.

0.8.2

  • Only needed for TEC 2.x
  • Will work for TEC 3.0 if you haven't created the new folder structure. If you're using TEC 3.0 go ahead, make the change and deactivate this plugin. ;-)

0.8.1

  • version bump

0.8

  • fixes for TEC 3.0 compliance
  • still backwards compatible with TEC 2.x

0.7.1

  • fixed stupid error in defining constant.

0.7

  • vastly simplified plugin by checking for existence of CSS override file in pre-determined location and if present, enqueue loading of file.
  • submitted similar code for review and inclusion into TEC 3.0
  • no longer needs to create separate file with @import statements.
  • enqueue loading of default Events Calendar CSS.

0.6.1

  • prevent tribe-user-css.php from throwing PHP error if loaded directly

0.6

  • fixes to readme

0.5.9

  • fixed code that tested for deprecated function get_theme.

0.5.8

  • code cleanup

0.5.7

  • fail message to admin_notices

0.5.6

  • load only with class TribeEvents
  • continuity with fail message
  • test for existence of override files
  • commented out code for Community Events plugin, it seems this is handled internally in the correct manner as of version 1.0.2.

0.5.5

  • bug fix if TEC not active

0.5.4

  • better directions in readme, I hope. This plugin will not create any files or directories.
  • changed deactivate to just warning.

0.5.3

  • fixes for Community Events plugin

0.5.2

  • fixes for Community Events plugin

0.5.1

  • readme updates

0.5

  • fixes for Community Events plugin

0.4

  • Major code cleanup, Thanks Daniel Dvorkin

0.3

  • fixes

0.2

  • readme fixes

0.1

  • Initial release.

Requires: 3.1 or higher
Compatible up to: 3.9.1
Last Updated: 2014-3-16
Downloads: 4,254

Ratings

5 stars
5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,1,1 100,1,1
100,1,1
100,1,1 100,1,1